__DEV_GET_BY_INDEX(9)

NAME
__dev_get_by_index - find a device by its ifindex

SYNOPSIS

struct net_device * __dev_get_by_index(struct net * net, int ifindex);

ARGUMENTS

net
    the applicable net namespace

ifindex
    index of device

DESCRIPTION

Search for an interface by index. Returns NULL if the device is not found or a pointer to the device. The device has not had its reference counter increased so the caller must be careful about locking. The caller must hold either the RTNL semaphore or dev_base_lock.

COPYRIGHT